#include <iostream>
#include <vector>

using namespace std;

int main()
{
    long n, k, i, a, brojac = 0;
    vector <long> kraj;

    cin >> n >> k;

    long niz[2*n + 1];

    for(i = 0; i < 2*n + 1; i ++)
    {
        niz[i] = 0;
    }

    for(i = 0; i < n; i ++)
    {
        cin >> a;
        niz[n + a] ++;
    }

    for(i = 0; i < 2*n + 1; i ++)
    {
        if(niz[i] >= k)
        {
            brojac ++;
            kraj.push_back(i - n);
        }
    }

    cout << brojac << endl;
    for(i = 0; i < kraj.size(); i ++)
        cout << kraj[i] << " ";

    return 0;
}